org.springframework.data.util

## Class MethodInvocationRecorder.Recorded<T>

- java.lang.Object
- - org.springframework.data.util.MethodInvocationRecorder.Recorded<T>

Enclosing class:
  MethodInvocationRecorder

    public static class MethodInvocationRecorder.Recorded<T>
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `MethodInvocationRecorder.Recorded.ToCollectionConverter<T,S>`
`static interface` `MethodInvocationRecorder.Recorded.ToMapConverter<T,S>`

### Method Summary

All Methods Instance Methods Concrete Methods
`Optional<String>` `getPropertyPath()`
`Optional<String>` `getPropertyPath(List<MethodInvocationRecorder.PropertyNameDetectionStrategy> strategies)`
`Optional<String>` `getPropertyPath(MethodInvocationRecorder.PropertyNameDetectionStrategy strategy)`
`<S> MethodInvocationRecorder.Recorded<S>` `record(Function<? super T,S> converter)` Applies the given Converter to the recorded value and remembers the property accessed.
`<S> MethodInvocationRecorder.Recorded<S>` `record(MethodInvocationRecorder.Recorded.ToCollectionConverter<T,S> converter)` Record the method invocation traversing to a collection property.
`<S> MethodInvocationRecorder.Recorded<S>` `record(MethodInvocationRecorder.Recorded.ToMapConverter<T,S> converter)` Record the method invocation traversing to a map property.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getPropertyPath

    public Optional<String> getPropertyPath()

#### getPropertyPath

    public Optional<String> getPropertyPath(MethodInvocationRecorder.PropertyNameDetectionStrategy strategy)

#### getPropertyPath

    public Optional<String> getPropertyPath(List<MethodInvocationRecorder.PropertyNameDetectionStrategy> strategies)

#### record

    public <S> MethodInvocationRecorder.Recorded<S> record(Function<? super T,S> converter)

Applies the given Converter to the recorded value and remembers the property accessed.

Parameters:
  `converter` - must not be null.
Returns:

#### record

    public <S> MethodInvocationRecorder.Recorded<S> record(MethodInvocationRecorder.Recorded.ToCollectionConverter<T,S> converter)

Record the method invocation traversing to a collection property.

Parameters:
  `converter` - must not be null.
Returns:

#### record

    public <S> MethodInvocationRecorder.Recorded<S> record(MethodInvocationRecorder.Recorded.ToMapConverter<T,S> converter)

Record the method invocation traversing to a map property.

Parameters:
  `converter` - must not be null.
Returns:

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`